import { createStore } from 'vuex'

export default createStore({
  state: {
    isDarkTheme: false,
  },
  getters: {
  },
  mutations: {
    setIsDarkTheme(state, value) {
      state.isDarkTheme = value
      localStorage.setItem('useDarkTheme', value ? '1' : '0')
    },
  },
  actions: {
  },
  modules: {
  }
})